//====================================================//
// Reallite HLGuard Anti-Cheats Config file           //
// Создал: DJ_WEST                                    //
// Copyright (C) Reallite Labs, 2002-2006             //
// Версия: 1.7                                        //
// Сайт: http://reallite.cs2.ru                       //
//====================================================//

//====================================================//
// Действия                                           //
//====================================================//
// o - сообщение в игре, запись в логи и пернаментный бан
hlg_action "o:found" "hlg_writefile %L/detectionlist.txt;hlg_write \'%d %h [HLGUARD %g] -> %n<%i> <%y> on %m <permanent ban>\'"
hlg_action "o:found" "hlg_writefile %L/detectionlist.htm;hlg_write \'%d %h [HLGUARD %g] -> <b>%n</b>(<b>%i</b>) <b>%y</b> on <b>%m</b> (permanent ban)<br>\'"
hlg_action "o:found" "hlg_log \'%n<%i> triggered <%y>\'"
hlg_action "o:found" "hlg_say \'[HLGUARD] Violation by %n(%i)\';hlg_say \'[HLGUARD] Violation: %y\';hlg_say \'[HLGUARD] Punishment: Permanent ban\'"
hlg_action "o:found:10" "banid 0.0 %i;kick #%u [HLGUARD] Banned: Permanently. Reason: %y;wait;writeid" 

// Снятие скриншота на клиенте, если был обнаружен один из читов.
// Измените ниже your_mail@your_mail.ru на e-mail, куда должны присылать скриншоты
// Чтобы отключить снятие скриншота, просто закомментируйте // две строчки ниже.
hlg_action "o:found" "hlg_say %n, please send to admin screenshot on mail: your_mail@your_mail.ru"
hlg_action "o:found:3" "hlg_clexec #%u snapshot"

//====================================================//
// Сканирование клиента на предмет читерских команд   //
//====================================================//
// Проверка основных читерских команд
hlg_check "aim:Aimbot Hack Detected" "o"
hlg_check "recoil:Recoil Hack Detected" "o"
hlg_check "aimthru:Aimbot Hack Detected" "o"
hlg_check "esp:Esp Hack Detected" "o"
hlg_check "nosmoke:No Smoke Hack Detected" "o"
hlg_check "transparant:Trasparant Flash Hack Detected" "o"
hlg_check "prone:Prone Hack Detected" "o"
hlg_check "wall:Wallhack Flash Hack Detected" "o"
hlg_check "fov:Fov Hack Detected" "o"
hlg_check "knivespeed:Speed Hack Detected" "o"
hlg_check "aimspot:Aimbot Hack Detected" "o"
hlg_check "nosmash:No Smash Hack Detected" "o"
hlg_check "nospread:No Spread Hack Detected" "o"

// Проверка l0rY Hack команд
hlg_check "asuswh:l0rY Hack Detected" "o"
hlg_check "whitewalls:l0rY Hack Detected" "o"
hlg_check "xqzwh:l0rY Hack Detected" "o"
hlg_check "xhair:l0rY Hack Detected" "o"
hlg_check "bluehud:l0rY Hack Detected" "o"

// Проверка FuRiousSP Hack команд
hlg_check "hackhooked:FuRiousSP Hack Detected" "o"
hlg_check "cheatserver_settings:FuRiousSP Hack Detected" "o"

// Поверка Recoil и NK Hack команд
hlg_check "rcl_mp5:Recoil Hack Detected" "o"
hlg_check "rcl_p90:Recoil Hack Detected" "o"
hlg_check "rcl_ump45:Recoil Hack Detected" "o"
hlg_check "rcl_m249:Recoil Hack Detected" "o"
hlg_check "rcl_ak47:Recoil Hack Detected" "o"
hlg_check "rcl_famas:Recoil Hack Detected" "o"
hlg_check "rcl_m4a1:Recoil Hack Detected" "o"
hlg_check "rcl_galil:Recoil Hack Detected" "o"
hlg_check "rcl_sg550:Recoil Hack Detected" "o"
hlg_check "rcl_g3sg1:Recoil Hack Detected" "o"
hlg_check "rcl_mac10:Recoil Hack Detected" "o"
hlg_check "rcl_sg552:Recoil Hack Detected" "o"
hlg_check "rcl_glock18:Recoil Hack Detected" "o"
hlg_check "rcl_usp:Recoil Hack Detected" "o"
hlg_check "rcl_p228:Recoil Hack Detected" "o"
hlg_check "rcl_deagle:Recoil Hack Detected" "o"
hlg_check "rcl_fiveseven:Recoil Hack Detected" "o"
hlg_check "rcl_elite:Recoil Hack Detected" "o"
hlg_check "rcl_m3:Recoil Hack Detected" "o"
hlg_check "rcl_xm1014:Recoil Hack Detected" "o"
hlg_check "rcl_scout:Recoil Hack Detected" "o"
hlg_check "rcl_awp:Recoil Hack Detected" "o"
hlg_check "rcl_tactical:Recoil Hack Detected" "o"
hlg_check "rcl_knife:Recoil Hack Detected" "o"
hlg_check "rcl_hegrenade:Recoil Hack Detected" "o"
hlg_check "rcl_flashbang:Recoil Hack Detected" "o"
hlg_check "rcl_smokegrenade:Recoil Hack Detected" "o"
hlg_check "rcl_c4:Recoil Hack Detected" "o"
hlg_check "dgl0:NK Hack Detected" "o"

// Проверка 7hUnDeR$tRuCk Hack команд
hlg_check "sigblocked:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "sigswitch:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "siground:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "sigalive:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "sigdead:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "wsec:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "nop:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "sigmenuoff:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "speedset:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "nospeedset:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "+ramp:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "+hlh:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "deaglevec:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "akvec:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "coltvec:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_mp5:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_aug:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_p90:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_famas:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_ump45:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_sg550:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_tmp:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_usp:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_p228:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_mac10:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_deagle:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_glock18:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_fiveseven:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_scout:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_elite:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_m4a1:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_awp:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_sg552:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_g3sg1:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_m3:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_m249:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_xm1014:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_hegrenade:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_flashbang:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_smokegrenade:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_knife:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_ak47:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_galil:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_c4:7hUnDeR$tRuCk Hack Detected" "o"
hlg_check "inv_tactical:7hUnDeR$tRuCk Hack Detected" "o"

// Проверка Anti Admin_Kick команд
hlg_check "antibrk:Anti Admin_Kick Hack Detected" "o"
hlg_check "antik1a:Anti Admin_Kick Hack Detected" "o"
hlg_check "antik_on:Anti Admin_Kick Hack Detected" "o"
hlg_check "antik_off:Anti Admin_Kick Hack Detected" "o"
hlg_check "antik_fix:Anti Admin_Kick Hack Detected" "o"

// Проверка Blind Hack команд
hlg_check "Cl@ssic1:Blind Hack Detected" "o"
hlg_check "rdak470:Blind Hack Detected" "o"
hlg_check "dak47:Blind Hack Detected" "o"
hlg_check "rdcolt1:Blind Hack Detected" "o"
hlg_check "gt1:Blind Hack Detected" "o"
hlg_check "gtstest:Blind Hack Detected" "o"
hlg_check "deaglex:Blind Hack Detected" "o"
hlg_check "excoak:Blind Hack Detected" "o"
hlg_check "coltstand:Blind Hack Detected" "o"
hlg_check "coltduck:Blind Hack Detected" "o"
hlg_check "excolt:Blind Hack Detected" "o"
hlg_check "pistol-numbers:Blind Hack Detected" "o"
hlg_check "pistolvec:Blind Hack Detected" "o"
hlg_check "toker1shota:Blind Hack Detected" "o"
hlg_check "toker1shotb:Blind Hack Detected" "o"
hlg_check "toker1shot:Blind Hack Detected" "o"
hlg_check "HeadBunnySD:Blind Hack Detected" "o"
hlg_check "HeadBunny:Blind Hack Detected" "o"
hlg_check "HeartBunny:Blind Hack Detected" "o"
hlg_check "StomachBunny:Blind Hack Detected" "o"
hlg_check "TestieBunny:Blind Hack Detected" "o"
hlg_check "seb1:Blind Hack Detected" "o"
hlg_check "seb:Blind Hack Detected" "o"
hlg_check "m4wow:Blind Hack Detected" "o"
hlg_check "deagle1:Blind Hack Detected" "o"
hlg_check "colt1:Blind Hack Detected" "o"
hlg_check "ak1:Blind Hack Detected" "o"
hlg_check "pp2:Blind Hack Detected" "o"
hlg_check "pb1:Blind Hack Detected" "o"
hlg_check "pbj:Blind Hack Detected" "o"
hlg_check "+hlh@IM:Blind Hack Detected" "o"
hlg_check "+thru:Blind Hack Detected" "o"
hlg_check "+@IM:Blind Hack Detected" "o"
hlg_check "pri1:Blind Hack Detected" "o"